# ConvertEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Base for the specialized convert event handlers.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ConvertEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ConvertEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ConvertEventArgs(value, desiredType)

Initializes a new instance of the [ConvertEventArgs](/api/wisej.web/data-binding/wisej.web.converteventargs.md) class.

| Name            | Type                                                          | Description                                                                                                       |
| --------------- | ------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **value**       | [Object](https://docs.microsoft.com/dotnet/api/system.object) | An [Object](https://docs.microsoft.com/dotnet/api/system.object) that contains the value of the current property. |
| **desiredType** | [Type](https://docs.microsoft.com/dotnet/api/system.type)     | The [Type](https://docs.microsoft.com/dotnet/api/system.type) of the value.                                       |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) DesiredType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns the data type of the desired value.

### ![](/files/hsR4ok3152WyAf8J2C1u) Value

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the value of the [ConvertEventArgs](/api/wisej.web/data-binding/wisej.web.converteventargs.md).

## Used By

| Name                                                                                | Description                                                                                                                                                                                                                                           |
| ----------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ConvertEventHandler](/api/wisej.web/data-binding/wisej.web.converteventhandler.md) | Represents the method that handles the [Parse](/api/wisej.web/data-binding/wisej.web.binding.md#parse) and [Format](/api/wisej.web/data-binding/wisej.web.binding.md#format) events of a [Binding](/api/wisej.web/data-binding/wisej.web.binding.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.converteventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
